Folder Note
GET
/v1/collections/{collection_id}/note
const url = 'https://api.cloud.agentums.ru/v1/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/note';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloud.agentums.ru/v1/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/note \ --header 'Authorization: Bearer <token>'Заметка-знания папки (KNOWLEDGE): создаёт «знания.md» при первом обращении и возвращает
её object_id — клиент открывает её в обычном редакторе. Чужая папка → 404.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»collection_id
required
Collection Id
string format: uuid
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
FolderNoteOut
Заметка-знания папки (KNOWLEDGE): id объекта-заметки для открытия в редакторе.
object
object_id
required
Object Id
string format: uuid
Examplegenerated
{ "object_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}